%define	upstream_name	 File-MMagic
%define	upstream_version 1.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Guess file type from filename and/or filehandle
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This perl library uses perl5 objects to guess file type from filename and/or
filehandle.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc COPYING ChangeLog META.yml MYMETA.yml
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.300.0-10.mga10
+ Revision: 2198727
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.300.0-9.mga9
+ Revision: 1803633
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.300.0-8.mga8
+ Revision: 1494491
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.300.0-7.mga7
+ Revision: 1268100
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.300.0-6.mga6
+ Revision: 1027374
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.300.0-5.mga6
+ Revision: 936153
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-4.mga5
+ Revision: 738808
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.300.0-3.mga5
+ Revision: 684740
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.300.0-2.mga4
+ Revision: 537157
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.300.0-1.mga4
+ Revision: 486415
- update to 1.30

* Sun Jan 13 2013 umeabot <umeabot> 1.290.0-2.mga3
+ Revision: 367268
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 1.290.0-1.mga3
+ Revision: 270274
- update to 1.29

* Thu Jul 05 2012 jquelin <jquelin> 1.280.0-1.mga3
+ Revision: 268148
- update to 1.28

* Tue Jan 18 2011 jquelin <jquelin> 1.270.0-1.mga1
+ Revision: 22420
- cleaning spec file
- imported package perl-File-MMagic


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.270.0-1mdv2010.0
+ Revision: 403173
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.27-4mdv2009.0
+ Revision: 256981
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.27-2mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.27-2mdv2008.0
+ Revision: 86400
- rebuild


* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.27-1mdv2007.0
- New release 1.27
- better source URL
- %%mkrel

* Fri Feb 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-1mdk
- New release 1.26

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- fix summary
- fix directory ownership
- enable tests
- better url

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.22-1mdk
- 1.22
- cosmetics

* Wed Aug 27 2003 François Pons <fpons@mandrakesoft.com> 1.20-1mdk
- 1.20.

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.17-3mdk
- rebuild for new perl
- rm -rf /home/guillomovitch/rpm/tmp/perl-File-MMagic-1.27 in %%install, not %%prep
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

